Bug 73202 - Display corruption on G400 when two servers are started
Display corruption on G400 when two servers are started
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-08-31 15:28 EDT by Pekka Pietikäinen
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-19 05:29:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot of corruption (290.27 KB, image/png)
2002-08-31 15:29 EDT, Pekka Pietikäinen
no flags Details

  None (edit)
Description Pekka Pietikäinen 2002-08-31 15:28:39 EDT
Description of Problem:

When starting up a second X server (startx -- :1) 
there is corruption on the screen depending on what applications are
being run. The corruption can usually seen as black areas 
in applications (screenshot attached), and can be seen in a default
GNOME/KDE desktop almost instantly. TWM + creating a few windows
and moving them around also shows similar problems. It used to work (tm), my
guess is that hardware acceleration of Xrender only works fine for
a single-head (and single server) configuration, the driver disables
acceleration if you have a dual head config.

The combination of magic Xaa options that remove the corruption seem to be

(**) MGA(0): Option "XaaNoSolidFillRect"
(**) MGA(0): Option "XaaNoSolidFillTrap"
(**) MGA(0): Option "XaaNoSolidTwoPointLine"
(**) MGA(0): Option "XaaNoScreenToScreenColorExpandFill"

(couldn't get any visible corruption after these were in use although 
there might be a few cases these don't cover). Not worth disabling
by default, I suppose, but maybe some smart workaround can be devised.
X probably isn't smart enough to know if another instance is running,
so this may not be possible...

Version-Release number of selected component (if applicable):


How Reproducible:

Steps to Reproduce:
1. startx 
2. startx -- :1

Actual Results:

Screen corruption on second X server

Expected Results:

Both X servers are fine
Comment 1 Pekka Pietikäinen 2002-08-31 15:29:51 EDT
Created attachment 74344 [details]
screenshot of corruption
Comment 2 Mike A. Harris 2002-09-01 06:32:35 EDT
There is aparently a patch to disable render acceleration floating
around out there but I can't seem to find it currently.
Comment 3 Mike A. Harris 2002-12-14 12:00:33 EST
This should be fixed in rawhide XFree86 CVS now.  I'm going to backport the
fix to 4.2.1 as soon as someone lets me know if it works or not.  Can you
test rawhide X and report back to me if it works?
Comment 4 Mike A. Harris 2002-12-19 05:29:36 EST
Fixed in my rawhide builds, and also backported to latest test packages for
RHL 8.0, 7.2, 7.1, AS2.1  (latest XFree86 CVS build, latest 4.2.1 build,
latest 4.1.0 build).
Comment 5 Mike A. Harris 2002-12-19 05:31:13 EST
4.1.0-43 has this for 7.[12] and AS 2.1
4.2.1-10 has it for 8.0
current rawhide has it for 8.0/rawhide

Note You need to log in before you can comment on or make changes to this bug.